#include "pyretic.h"

int initialize_allegro(int fullscreen, int *mouseButtons, int res_x, int res_y) {
  int error_temp;
  if ((error_temp = allegro_init()) != 0)
    return error_temp;
  if ((error_temp = install_keyboard()) != 0)
    return error_temp;
  set_color_depth(32);
  if (fullscreen) {
    if ((error_temp = set_gfx_mode(GFX_AUTODETECT, res_x, res_y, 0, 0)) != 0)
      return error_temp;
  }
  else {
    if ((error_temp = set_gfx_mode(GFX_AUTODETECT_WINDOWED, res_x, res_y, 0, 0)) != 0)
      return error_temp;
  }
  if ((error_temp = install_timer()) != 0)
    return error_temp;
  if ((error_temp = install_mouse()) < 0)
    return error_temp;
  else
    *mouseButtons = error_temp;
  return 0;
}
