/* Prototypes dealing with struct map */

int init_map(map *);
int load_map(map *, const char *);
int save_map(map *, const char *);
int fout(FILE *, const char *, int);

/* These functions deal with crates in a map. */
int damage_crate(map *, int, int);
int create_crate(map *, int x, int y);
int destroy_crate(map *, int);
int update_crate(map *, int);
int lookup_crate(map *, int, int); // Takes the grid x and y of a crate, looks it up, returns its index or -1
crate *lookup_crate_number(map *, int); // Takes the array index of a crate and looks it up, returns a pointer to it
