typedef struct map {
  int obj_map[20][15]; // this is for objects--things that can't overlap, like npcs, crates, etc.
  crate crates[300]; // this stores the crate data
  int platforms[20][15]; // this is a separate "layer" from objects, so it gets its own array
  int tilemap[20][15]; // this is the drawn background
  npc npcs[300]; // this stores NPCs
  character pc; // the player
} map;

typedef union {
  map m;
  char c[sizeof(map)];
} map_to_chars;

